/****************************************************************************
                Get Source Class Header
                -----------------------------------------
    begin      : 2014/09/02
    copyright  : (C) 2005 Solbox Inc.
    author     : Storage Dev Team	                
    email      : storage.sd@solbox.com
    version    : 3.4

    CopyRight(C) 2005 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
*****************************************************************************/

#ifndef __GET_SOURCE_H__
#define __GET_SOURCE_H__

#include "SyncList.h"
#include "SourceData.h"

class CGetSource
{
public:
	enum GET_TYPE
	{
		BOTH = 0, // (local Master, remove : slave)
		SELF_MASTER_ONLY = 1,
		SELF_SLAVE_ONLYE = 2
	};

	CGetSource(CSyncInfo &info);
	~CGetSource();

	bool	GetSource(GET_TYPE t);

private:
	bool	GetRemote();
	bool	GetSelf(bool isMaster, CSourceData & self);

	CSyncInfo	m_syncinfo;

};

#endif /* __GET_SOURCE_H__ */
